<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::Totals Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="structCatch_1_1Totals.html">Totals</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structCatch_1_1Totals-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::Totals Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Catch::Totals:</div>
<div class="dyncontent">
<div class="center"><img src="structCatch_1_1Totals__coll__graph.png" border="0" usemap="#Catch_1_1Totals_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1Totals_coll__map" id="Catch_1_1Totals_coll__map">
<area shape="rect" title=" " alt="" coords="9,109,114,136"/>
<area shape="rect" href="structCatch_1_1Counts.html" title=" " alt="" coords="5,5,117,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a9279ed39139cb7e7b291918a6d08290e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Totals.html">Totals</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Totals.html#a9279ed39139cb7e7b291918a6d08290e">operator-</a> (<a class="el" href="structCatch_1_1Totals.html">Totals</a> const &amp;other) const</td></tr>
<tr class="separator:a9279ed39139cb7e7b291918a6d08290e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a574015076e54cc405c70b053e3356e43"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Totals.html">Totals</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Totals.html#a574015076e54cc405c70b053e3356e43">operator+=</a> (<a class="el" href="structCatch_1_1Totals.html">Totals</a> const &amp;other)</td></tr>
<tr class="separator:a574015076e54cc405c70b053e3356e43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a94a654f5f3786b75695e081fc9bca2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Totals.html">Totals</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Totals.html#a1a94a654f5f3786b75695e081fc9bca2">delta</a> (<a class="el" href="structCatch_1_1Totals.html">Totals</a> const &amp;prevTotals) const</td></tr>
<tr class="separator:a1a94a654f5f3786b75695e081fc9bca2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9279ed39139cb7e7b291918a6d08290e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Totals.html">Totals</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Totals.html#a9279ed39139cb7e7b291918a6d08290e">operator-</a> (<a class="el" href="structCatch_1_1Totals.html">Totals</a> const &amp;other) const</td></tr>
<tr class="separator:a9279ed39139cb7e7b291918a6d08290e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a574015076e54cc405c70b053e3356e43"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Totals.html">Totals</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Totals.html#a574015076e54cc405c70b053e3356e43">operator+=</a> (<a class="el" href="structCatch_1_1Totals.html">Totals</a> const &amp;other)</td></tr>
<tr class="separator:a574015076e54cc405c70b053e3356e43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a94a654f5f3786b75695e081fc9bca2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Totals.html">Totals</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Totals.html#a1a94a654f5f3786b75695e081fc9bca2">delta</a> (<a class="el" href="structCatch_1_1Totals.html">Totals</a> const &amp;prevTotals) const</td></tr>
<tr class="separator:a1a94a654f5f3786b75695e081fc9bca2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a6ea14c7de7ea735a14f172a26e08a239"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Totals.html#a6ea14c7de7ea735a14f172a26e08a239">error</a> = 0</td></tr>
<tr class="separator:a6ea14c7de7ea735a14f172a26e08a239"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a885ded66df752147b30c3d45aa602ec9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Counts.html">Counts</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Totals.html#a885ded66df752147b30c3d45aa602ec9">assertions</a></td></tr>
<tr class="separator:a885ded66df752147b30c3d45aa602ec9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb195fe477aedee2ecea88c888f16506"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCatch_1_1Counts.html">Counts</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Totals.html#adb195fe477aedee2ecea88c888f16506">testCases</a></td></tr>
<tr class="separator:adb195fe477aedee2ecea88c888f16506"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a1a94a654f5f3786b75695e081fc9bca2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a94a654f5f3786b75695e081fc9bca2">&#9670;&nbsp;</a></span>delta() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Totals.html">Totals</a> Catch::Totals::delta </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1Totals.html">Totals</a> const &amp;&#160;</td>
          <td class="paramname"><em>prevTotals</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1a94a654f5f3786b75695e081fc9bca2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a94a654f5f3786b75695e081fc9bca2">&#9670;&nbsp;</a></span>delta() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Totals.html">Totals</a> Catch::Totals::delta </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1Totals.html">Totals</a> const &amp;&#160;</td>
          <td class="paramname"><em>prevTotals</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a574015076e54cc405c70b053e3356e43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a574015076e54cc405c70b053e3356e43">&#9670;&nbsp;</a></span>operator+=() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Totals.html">Totals</a>&amp; Catch::Totals::operator+= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1Totals.html">Totals</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a574015076e54cc405c70b053e3356e43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a574015076e54cc405c70b053e3356e43">&#9670;&nbsp;</a></span>operator+=() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Totals.html">Totals</a>&amp; Catch::Totals::operator+= </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1Totals.html">Totals</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9279ed39139cb7e7b291918a6d08290e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9279ed39139cb7e7b291918a6d08290e">&#9670;&nbsp;</a></span>operator-() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Totals.html">Totals</a> Catch::Totals::operator- </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1Totals.html">Totals</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9279ed39139cb7e7b291918a6d08290e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9279ed39139cb7e7b291918a6d08290e">&#9670;&nbsp;</a></span>operator-() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Totals.html">Totals</a> Catch::Totals::operator- </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structCatch_1_1Totals.html">Totals</a> const &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a885ded66df752147b30c3d45aa602ec9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a885ded66df752147b30c3d45aa602ec9">&#9670;&nbsp;</a></span>assertions</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Counts.html">Counts</a> Catch::Totals::assertions</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6ea14c7de7ea735a14f172a26e08a239"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ea14c7de7ea735a14f172a26e08a239">&#9670;&nbsp;</a></span>error</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Catch::Totals::error = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adb195fe477aedee2ecea88c888f16506"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adb195fe477aedee2ecea88c888f16506">&#9670;&nbsp;</a></span>testCases</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCatch_1_1Counts.html">Counts</a> Catch::Totals::testCases</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
